<?xml version="1.0" encoding="utf-8"?>
<!-- Generated by PRONEXUS WORKS -->
<link:linkbase xmlns:link="http://www.xbrl.org/2003/linkbase" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xbrli="http://www.xbrl.org/2003/instance" xmlns:xlink="http://www.w3.org/1999/xlink">
  <link:labelLink xlink:type="extended" xlink:role="http://www.xbrl.org/2003/role/link">
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E21955-000_2023-03-31_01_2023-06-30.xsd#jpcrp030000-asr_E21955-000_PayrollsWagesAndCompensationSGA" xlink:label="PayrollsWagesAndCompensationSGA" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E21955-000_2023-03-31_01_2023-06-30.xsd#jpcrp030000-asr_E21955-000_KawadaTadahiroMember" xlink:label="KawadaTadahiroMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E21955-000_2023-03-31_01_2023-06-30.xsd#jpcrp030000-asr_E21955-000_WatanabeSatoruMember" xlink:label="WatanabeSatoruMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E21955-000_2023-03-31_01_2023-06-30.xsd#jpcrp030000-asr_E21955-000_KawadaTakuyaMember" xlink:label="KawadaTakuyaMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E21955-000_2023-03-31_01_2023-06-30.xsd#jpcrp030000-asr_E21955-000_MiyataKensakuMember" xlink:label="MiyataKensakuMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E21955-000_2023-03-31_01_2023-06-30.xsd#jpcrp030000-asr_E21955-000_YamakawaTakahisaMember" xlink:label="YamakawaTakahisaMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E21955-000_2023-03-31_01_2023-06-30.xsd#jpcrp030000-asr_E21955-000_TakakuwaKoichiMember" xlink:label="TakakuwaKoichiMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E21955-000_2023-03-31_01_2023-06-30.xsd#jpcrp030000-asr_E21955-000_OkadaToshinariMember" xlink:label="OkadaToshinariMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E21955-000_2023-03-31_01_2023-06-30.xsd#jpcrp030000-asr_E21955-000_FukuchiKeikoMember" xlink:label="FukuchiKeikoMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E21955-000_2023-03-31_01_2023-06-30.xsd#jpcrp030000-asr_E21955-000_DecreaseIncreaseDueToPurchaseOfTreasurySharesFromConsolidatedSubsidiaries" xlink:label="DecreaseIncreaseDueToPurchaseOfTreasurySharesFromConsolidatedSubsidiaries" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E21955-000_2023-03-31_01_2023-06-30.xsd#jpcrp030000-asr_E21955-000_SteelStructureReportableSegmentsMember" xlink:label="SteelStructureReportableSegmentsMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E21955-000_2023-03-31_01_2023-06-30.xsd#jpcrp030000-asr_E21955-000_EngineeringReportableSegmentsMember" xlink:label="EngineeringReportableSegmentsMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E21955-000_2023-03-31_01_2023-06-30.xsd#jpcrp030000-asr_E21955-000_ArchitectureReportableSegmentsMember" xlink:label="ArchitectureReportableSegmentsMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E21955-000_2023-03-31_01_2023-06-30.xsd#jpcrp030000-asr_E21955-000_SolutionReportableSegmentsMember" xlink:label="SolutionReportableSegmentsMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E21955-000_2023-03-31_01_2023-06-30.xsd#jpcrp030000-asr_E21955-000_PurposeOfShareholdingOverviewOfBusinessAllianceQuantitativeEffectsOfShareholdingAndReasonForIncreaseInNumberOfSharesDetailsOfSpecifiedInvestmentSharesHeldForPurposesOtherThanPureInvestmentLargestHoldingCompany" xlink:label="PurposeOfShareholdingOverviewOfBusinessAllianceQuantitativeEffectsOfShareholdingAndReasonForIncreaseInNumberOfSharesDetailsOfSpecifiedInvestmentSharesHeldForPurposesOtherThanPureInvestmentLargestHoldingCompany" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E21955-000_2023-03-31_01_2023-06-30.xsd#jpcrp030000-asr_E21955-000_PurposeOfShareholdingOverviewOfBusinessAllianceQuantitativeEffectsOfShareholdingAndReasonForIncreaseInNumberOfSharesDetailsOfDeemedHoldingsOfSharesHeldForPurposesOtherThanPureInvestmentLargestHoldingCompany" xlink:label="PurposeOfShareholdingOverviewOfBusinessAllianceQuantitativeEffectsOfShareholdingAndReasonForIncreaseInNumberOfSharesDetailsOfDeemedHoldingsOfSharesHeldForPurposesOtherThanPureInvestmentLargestHoldingCompany" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E21955-000_2023-03-31_01_2023-06-30.xsd#jpcrp030000-asr_E21955-000_DisclosureOfSustainabilityRelatedFinancialInformationHeading" xlink:label="DisclosureOfSustainabilityRelatedFinancialInformationHeading" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E21955-000_2023-03-31_01_2023-06-30.xsd#jpcrp030000-asr_E21955-000_DisclosureOfSustainabilityRelatedFinancialInformationTextBlock" xlink:label="DisclosureOfSustainabilityRelatedFinancialInformationTextBlock" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E21955-000_2023-03-31_01_2023-06-30.xsd#jpcrp030000-asr_E21955-000_GovernanceTextBlock" xlink:label="GovernanceTextBlock" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E21955-000_2023-03-31_01_2023-06-30.xsd#jpcrp030000-asr_E21955-000_StrategyTextBlock" xlink:label="StrategyTextBlock" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E21955-000_2023-03-31_01_2023-06-30.xsd#jpcrp030000-asr_E21955-000_PolicyOnHumanResourceDevelopmentAndImprovementOfInternalEnvironmentStrategyTextBlock" xlink:label="PolicyOnHumanResourceDevelopmentAndImprovementOfInternalEnvironmentStrategyTextBlock" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E21955-000_2023-03-31_01_2023-06-30.xsd#jpcrp030000-asr_E21955-000_RiskManagementTextBlock" xlink:label="RiskManagementTextBlock" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E21955-000_2023-03-31_01_2023-06-30.xsd#jpcrp030000-asr_E21955-000_MetricsAndTargetsTextBlock" xlink:label="MetricsAndTargetsTextBlock" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E21955-000_2023-03-31_01_2023-06-30.xsd#jpcrp030000-asr_E21955-000_DescriptionOfMetricsRelatedToPolicyOnHumanResourceDevelopmentAndImprovementOfInternalEnvironmentAndTargetsAndResultsUsingSuchMetricsMetricsAndTargetsTextBlock" xlink:label="DescriptionOfMetricsRelatedToPolicyOnHumanResourceDevelopmentAndImprovementOfInternalEnvironmentAndTargetsAndResultsUsingSuchMetricsMetricsAndTargetsTextBlock" />
    <link:loc xlink:type="locator" xlink:href="http://disclosure.edinet-fsa.go.jp/taxonomy/jppfs/2022-11-01/jppfs_cor_2022-11-01.xsd#jppfs_cor_CumulativeEffectsOfChangesInAccountingPolicies" xlink:label="CumulativeEffectsOfChangesInAccountingPolicies" />
    <link:label xlink:type="resource" xlink:label="label_CumulativeEffectsOfChangesInAccountingPolicies" xml:lang="ja" xlink:role="http://www.xbrl.org/2003/role/periodStartLabel" id="label_CumulativeEffectsOfChangesInAccountingPolicies">会計方針の変更による累積的影響額</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="CumulativeEffectsOfChangesInAccountingPolicies" xlink:to="label_CumulativeEffectsOfChangesInAccountingPolicies" />
    <link:loc xlink:type="locator" xlink:href="http://disclosure.edinet-fsa.go.jp/taxonomy/jppfs/2022-11-01/jppfs_cor_2022-11-01.xsd#jppfs_cor_RestatedBalance" xlink:label="RestatedBalance" />
    <link:label xlink:type="resource" xlink:label="label_RestatedBalance" xml:lang="ja" xlink:role="http://www.xbrl.org/2003/role/periodStartLabel" id="label_RestatedBalance">会計方針の変更を反映した当期首残高</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="RestatedBalance" xlink:to="label_RestatedBalance" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E21955-000_2023-03-31_01_2023-06-30.xsd#jpcrp030000-asr_E21955-000_ReferenceToOtherInformationStrategyHumanCapital" xlink:label="ReferenceToOtherInformationStrategyHumanCapital" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E21955-000_2023-03-31_01_2023-06-30.xsd#jpcrp030000-asr_E21955-000_ReferenceToOtherInformationMetricsAndTargetsHumanCapital" xlink:label="ReferenceToOtherInformationMetricsAndTargetsHumanCapital" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E21955-000_2023-03-31_01_2023-06-30.xsd#jpcrp030000-asr_E21955-000_TakagiShigeoMember" xlink:label="TakagiShigeoMember" />
    <link:label xlink:type="resource" xlink:label="label_DecreaseIncreaseDueToPurchaseOfTreasurySharesFromConsolidatedSubsidiaries" xml:lang="ja" xlink:role="http://www.xbrl.org/2003/role/label" id="label_DecreaseIncreaseDueToPurchaseOfTreasurySharesFromConsolidatedSubsidiaries">連結子会社からの自己株式の取得による剰余金の増減</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="DecreaseIncreaseDueToPurchaseOfTreasurySharesFromConsolidatedSubsidiaries" xlink:to="label_DecreaseIncreaseDueToPurchaseOfTreasurySharesFromConsolidatedSubsidiaries" />
    <link:label xlink:type="resource" xlink:label="label_DecreaseIncreaseDueToPurchaseOfTreasurySharesFromConsolidatedSubsidiaries_2" xml:lang="ja" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_DecreaseIncreaseDueToPurchaseOfTreasurySharesFromConsolidatedSubsidiaries_2">連結子会社からの自己株式の取得による剰余金の増減</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="DecreaseIncreaseDueToPurchaseOfTreasurySharesFromConsolidatedSubsidiaries" xlink:to="label_DecreaseIncreaseDueToPurchaseOfTreasurySharesFromConsolidatedSubsidiaries_2" />
    <link:label xlink:type="resource" xlink:label="label_PayrollsWagesAndCompensationSGA" xml:lang="ja" xlink:role="http://www.xbrl.org/2003/role/label" id="label_PayrollsWagesAndCompensationSGA">給与賃金賞与</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="PayrollsWagesAndCompensationSGA" xlink:to="label_PayrollsWagesAndCompensationSGA" />
    <link:label xlink:type="resource" xlink:label="label_PayrollsWagesAndCompensationSGA_2" xml:lang="ja" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_PayrollsWagesAndCompensationSGA_2">給与賃金賞与、販売費及び一般管理費</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="PayrollsWagesAndCompensationSGA" xlink:to="label_PayrollsWagesAndCompensationSGA_2" />
    <link:label xlink:type="resource" xlink:label="label_PurposeOfShareholdingOverviewOfBusinessAllianceQuantitativeEffectsOfShareholdingAndReasonForIncreaseInNumberOfSharesDetailsOfDeemedHoldingsOfSharesHeldForPurposesOtherThanPureInvestmentLargestHoldingCompany" xml:lang="ja" xlink:role="http://www.xbrl.org/2003/role/label" id="label_PurposeOfShareholdingOverviewOfBusinessAllianceQuantitativeEffectsOfShareholdingAndReasonForIncreaseInNumberOfSharesDetailsOfDeemedHoldingsOfSharesHeldForPurposesOtherThanPureInvestmentLargestHoldingCompany">保有目的、業務提携等の概要、定量的な保有効果及び株式数が増加した理由</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="PurposeOfShareholdingOverviewOfBusinessAllianceQuantitativeEffectsOfShareholdingAndReasonForIncreaseInNumberOfSharesDetailsOfDeemedHoldingsOfSharesHeldForPurposesOtherThanPureInvestmentLargestHoldingCompany" xlink:to="label_PurposeOfShareholdingOverviewOfBusinessAllianceQuantitativeEffectsOfShareholdingAndReasonForIncreaseInNumberOfSharesDetailsOfDeemedHoldingsOfSharesHeldForPurposesOtherThanPureInvestmentLargestHoldingCompany" />
    <link:label xlink:type="resource" xlink:label="label_PurposeOfShareholdingOverviewOfBusinessAllianceQuantitativeEffectsOfShareholdingAndReasonForIncreaseInNumberOfSharesDetailsOfDeemedHoldingsOfSharesHeldForPurposesOtherThanPureInvestmentLargestHoldingCompany_2" xml:lang="ja" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_PurposeOfShareholdingOverviewOfBusinessAllianceQuantitativeEffectsOfShareholdingAndReasonForIncreaseInNumberOfSharesDetailsOfDeemedHoldingsOfSharesHeldForPurposesOtherThanPureInvestmentLargestHoldingCompany_2">保有目的、業務提携等の概要、定量的な保有効果及び株式数が増加した理由、保有目的が純投資目的以外の目的であるみなし保有株式の明細、最大保有会社</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="PurposeOfShareholdingOverviewOfBusinessAllianceQuantitativeEffectsOfShareholdingAndReasonForIncreaseInNumberOfSharesDetailsOfDeemedHoldingsOfSharesHeldForPurposesOtherThanPureInvestmentLargestHoldingCompany" xlink:to="label_PurposeOfShareholdingOverviewOfBusinessAllianceQuantitativeEffectsOfShareholdingAndReasonForIncreaseInNumberOfSharesDetailsOfDeemedHoldingsOfSharesHeldForPurposesOtherThanPureInvestmentLargestHoldingCompany_2" />
    <link:label xlink:type="resource" xlink:label="label_PurposeOfShareholdingOverviewOfBusinessAllianceQuantitativeEffectsOfShareholdingAndReasonForIncreaseInNumberOfSharesDetailsOfSpecifiedInvestmentSharesHeldForPurposesOtherThanPureInvestmentLargestHoldingCompany" xml:lang="ja" xlink:role="http://www.xbrl.org/2003/role/label" id="label_PurposeOfShareholdingOverviewOfBusinessAllianceQuantitativeEffectsOfShareholdingAndReasonForIncreaseInNumberOfSharesDetailsOfSpecifiedInvestmentSharesHeldForPurposesOtherThanPureInvestmentLargestHoldingCompany">保有目的、業務提携等の概要、定量的な保有効果及び株式数が増加した理由</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="PurposeOfShareholdingOverviewOfBusinessAllianceQuantitativeEffectsOfShareholdingAndReasonForIncreaseInNumberOfSharesDetailsOfSpecifiedInvestmentSharesHeldForPurposesOtherThanPureInvestmentLargestHoldingCompany" xlink:to="label_PurposeOfShareholdingOverviewOfBusinessAllianceQuantitativeEffectsOfShareholdingAndReasonForIncreaseInNumberOfSharesDetailsOfSpecifiedInvestmentSharesHeldForPurposesOtherThanPureInvestmentLargestHoldingCompany" />
    <link:label xlink:type="resource" xlink:label="label_PurposeOfShareholdingOverviewOfBusinessAllianceQuantitativeEffectsOfShareholdingAndReasonForIncreaseInNumberOfSharesDetailsOfSpecifiedInvestmentSharesHeldForPurposesOtherThanPureInvestmentLargestHoldingCompany_2" xml:lang="ja" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_PurposeOfShareholdingOverviewOfBusinessAllianceQuantitativeEffectsOfShareholdingAndReasonForIncreaseInNumberOfSharesDetailsOfSpecifiedInvestmentSharesHeldForPurposesOtherThanPureInvestmentLargestHoldingCompany_2">保有目的、業務提携等の概要、定量的な保有効果及び株式数が増加した理由、保有目的が純投資目的以外の目的である特定投資株式の明細、最大保有会社</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="PurposeOfShareholdingOverviewOfBusinessAllianceQuantitativeEffectsOfShareholdingAndReasonForIncreaseInNumberOfSharesDetailsOfSpecifiedInvestmentSharesHeldForPurposesOtherThanPureInvestmentLargestHoldingCompany" xlink:to="label_PurposeOfShareholdingOverviewOfBusinessAllianceQuantitativeEffectsOfShareholdingAndReasonForIncreaseInNumberOfSharesDetailsOfSpecifiedInvestmentSharesHeldForPurposesOtherThanPureInvestmentLargestHoldingCompany_2" />
    <link:label xlink:type="resource" xlink:label="label_SteelStructureReportableSegmentsMember" xml:lang="ja" xlink:role="http://www.xbrl.org/2003/role/label" id="label_SteelStructureReportableSegmentsMember">鉄構</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="SteelStructureReportableSegmentsMember" xlink:to="label_SteelStructureReportableSegmentsMember" />
    <link:label xlink:type="resource" xlink:label="label_SteelStructureReportableSegmentsMember_2" xml:lang="ja" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_SteelStructureReportableSegmentsMember_2">鉄構、報告セグメント [メンバー]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="SteelStructureReportableSegmentsMember" xlink:to="label_SteelStructureReportableSegmentsMember_2" />
    <link:label xlink:type="resource" xlink:label="label_EngineeringReportableSegmentsMember" xml:lang="ja" xlink:role="http://www.xbrl.org/2003/role/label" id="label_EngineeringReportableSegmentsMember">土木</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="EngineeringReportableSegmentsMember" xlink:to="label_EngineeringReportableSegmentsMember" />
    <link:label xlink:type="resource" xlink:label="label_EngineeringReportableSegmentsMember_2" xml:lang="ja" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_EngineeringReportableSegmentsMember_2">土木、報告セグメント [メンバー]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="EngineeringReportableSegmentsMember" xlink:to="label_EngineeringReportableSegmentsMember_2" />
    <link:label xlink:type="resource" xlink:label="label_ArchitectureReportableSegmentsMember" xml:lang="ja" xlink:role="http://www.xbrl.org/2003/role/label" id="label_ArchitectureReportableSegmentsMember">建築</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ArchitectureReportableSegmentsMember" xlink:to="label_ArchitectureReportableSegmentsMember" />
    <link:label xlink:type="resource" xlink:label="label_ArchitectureReportableSegmentsMember_2" xml:lang="ja" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_ArchitectureReportableSegmentsMember_2">建築、報告セグメント [メンバー]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ArchitectureReportableSegmentsMember" xlink:to="label_ArchitectureReportableSegmentsMember_2" />
    <link:label xlink:type="resource" xlink:label="label_SolutionReportableSegmentsMember" xml:lang="ja" xlink:role="http://www.xbrl.org/2003/role/label" id="label_SolutionReportableSegmentsMember">ソリューション</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="SolutionReportableSegmentsMember" xlink:to="label_SolutionReportableSegmentsMember" />
    <link:label xlink:type="resource" xlink:label="label_SolutionReportableSegmentsMember_2" xml:lang="ja" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_SolutionReportableSegmentsMember_2">ソリューション、報告セグメント [メンバー]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="SolutionReportableSegmentsMember" xlink:to="label_SolutionReportableSegmentsMember_2" />
    <link:label xlink:type="resource" xlink:label="label_DisclosureOfSustainabilityRelatedFinancialInformationHeading_2" xml:lang="ja" xlink:role="http://www.xbrl.org/2003/role/label" id="label_DisclosureOfSustainabilityRelatedFinancialInformationHeading_2">サステナビリティに関する考え方及び取組</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="DisclosureOfSustainabilityRelatedFinancialInformationHeading" xlink:to="label_DisclosureOfSustainabilityRelatedFinancialInformationHeading_2" />
    <link:label xlink:type="resource" xlink:label="label_DisclosureOfSustainabilityRelatedFinancialInformationHeading" xml:lang="ja" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_DisclosureOfSustainabilityRelatedFinancialInformationHeading">サステナビリティに関する考え方及び取組 [目次項目]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="DisclosureOfSustainabilityRelatedFinancialInformationHeading" xlink:to="label_DisclosureOfSustainabilityRelatedFinancialInformationHeading" />
    <link:label xlink:type="resource" xlink:label="label_DisclosureOfSustainabilityRelatedFinancialInformationTextBlock_2" xml:lang="ja" xlink:role="http://www.xbrl.org/2003/role/label" id="label_DisclosureOfSustainabilityRelatedFinancialInformationTextBlock_2">サステナビリティに関する考え方及び取組</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="DisclosureOfSustainabilityRelatedFinancialInformationTextBlock" xlink:to="label_DisclosureOfSustainabilityRelatedFinancialInformationTextBlock_2" />
    <link:label xlink:type="resource" xlink:label="label_DisclosureOfSustainabilityRelatedFinancialInformationTextBlock" xml:lang="ja" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_DisclosureOfSustainabilityRelatedFinancialInformationTextBlock">サステナビリティに関する考え方及び取組 [テキストブロック]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="DisclosureOfSustainabilityRelatedFinancialInformationTextBlock" xlink:to="label_DisclosureOfSustainabilityRelatedFinancialInformationTextBlock" />
    <link:label xlink:type="resource" xlink:label="label_GovernanceTextBlock_2" xml:lang="ja" xlink:role="http://www.xbrl.org/2003/role/label" id="label_GovernanceTextBlock_2">ガバナンス</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="GovernanceTextBlock" xlink:to="label_GovernanceTextBlock_2" />
    <link:label xlink:type="resource" xlink:label="label_GovernanceTextBlock" xml:lang="ja" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_GovernanceTextBlock">ガバナンス [テキストブロック]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="GovernanceTextBlock" xlink:to="label_GovernanceTextBlock" />
    <link:label xlink:type="resource" xlink:label="label_StrategyTextBlock_2" xml:lang="ja" xlink:role="http://www.xbrl.org/2003/role/label" id="label_StrategyTextBlock_2">戦略</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="StrategyTextBlock" xlink:to="label_StrategyTextBlock_2" />
    <link:label xlink:type="resource" xlink:label="label_StrategyTextBlock" xml:lang="ja" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_StrategyTextBlock">戦略 [テキストブロック]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="StrategyTextBlock" xlink:to="label_StrategyTextBlock" />
    <link:label xlink:type="resource" xlink:label="label_PolicyOnHumanResourceDevelopmentAndImprovementOfInternalEnvironmentStrategyTextBlock_2" xml:lang="ja" xlink:role="http://www.xbrl.org/2003/role/label" id="label_PolicyOnHumanResourceDevelopmentAndImprovementOfInternalEnvironmentStrategyTextBlock_2">人材の育成及び社内環境整備に関する方針</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="PolicyOnHumanResourceDevelopmentAndImprovementOfInternalEnvironmentStrategyTextBlock" xlink:to="label_PolicyOnHumanResourceDevelopmentAndImprovementOfInternalEnvironmentStrategyTextBlock_2" />
    <link:label xlink:type="resource" xlink:label="label_PolicyOnHumanResourceDevelopmentAndImprovementOfInternalEnvironmentStrategyTextBlock" xml:lang="ja" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_PolicyOnHumanResourceDevelopmentAndImprovementOfInternalEnvironmentStrategyTextBlock">人材の育成及び社内環境整備に関する方針、戦略 [テキストブロック]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="PolicyOnHumanResourceDevelopmentAndImprovementOfInternalEnvironmentStrategyTextBlock" xlink:to="label_PolicyOnHumanResourceDevelopmentAndImprovementOfInternalEnvironmentStrategyTextBlock" />
    <link:label xlink:type="resource" xlink:label="label_ReferenceToOtherInformationStrategyHumanCapital_2" xml:lang="ja" xlink:role="http://www.xbrl.org/2003/role/label" id="label_ReferenceToOtherInformationStrategyHumanCapital_2">他の記載への参照</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ReferenceToOtherInformationStrategyHumanCapital" xlink:to="label_ReferenceToOtherInformationStrategyHumanCapital_2" />
    <link:label xlink:type="resource" xlink:label="label_ReferenceToOtherInformationStrategyHumanCapital" xml:lang="ja" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_ReferenceToOtherInformationStrategyHumanCapital">他の記載への参照、戦略、人的資本</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ReferenceToOtherInformationStrategyHumanCapital" xlink:to="label_ReferenceToOtherInformationStrategyHumanCapital" />
    <link:label xlink:type="resource" xlink:label="label_RiskManagementTextBlock_2" xml:lang="ja" xlink:role="http://www.xbrl.org/2003/role/label" id="label_RiskManagementTextBlock_2">リスク管理</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="RiskManagementTextBlock" xlink:to="label_RiskManagementTextBlock_2" />
    <link:label xlink:type="resource" xlink:label="label_RiskManagementTextBlock" xml:lang="ja" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_RiskManagementTextBlock">リスク管理 [テキストブロック]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="RiskManagementTextBlock" xlink:to="label_RiskManagementTextBlock" />
    <link:label xlink:type="resource" xlink:label="label_MetricsAndTargetsTextBlock_2" xml:lang="ja" xlink:role="http://www.xbrl.org/2003/role/label" id="label_MetricsAndTargetsTextBlock_2">指標及び目標</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="MetricsAndTargetsTextBlock" xlink:to="label_MetricsAndTargetsTextBlock_2" />
    <link:label xlink:type="resource" xlink:label="label_MetricsAndTargetsTextBlock" xml:lang="ja" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_MetricsAndTargetsTextBlock">指標及び目標 [テキストブロック]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="MetricsAndTargetsTextBlock" xlink:to="label_MetricsAndTargetsTextBlock" />
    <link:label xlink:type="resource" xlink:label="label_DescriptionOfMetricsRelatedToPolicyOnHumanResourceDevelopmentAndImprovementOfInternalEnvironmentAndTargetsAndResultsUsingSuchMetricsMetricsAndTargetsTextBlock_2" xml:lang="ja" xlink:role="http://www.xbrl.org/2003/role/label" id="label_DescriptionOfMetricsRelatedToPolicyOnHumanResourceDevelopmentAndImprovementOfInternalEnvironmentAndTargetsAndResultsUsingSuchMetricsMetricsAndTargetsTextBlock_2">人材の育成及び社内環境整備に関する方針に関する指標の内容並びに当該指標を用いた目標及び実績</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="DescriptionOfMetricsRelatedToPolicyOnHumanResourceDevelopmentAndImprovementOfInternalEnvironmentAndTargetsAndResultsUsingSuchMetricsMetricsAndTargetsTextBlock" xlink:to="label_DescriptionOfMetricsRelatedToPolicyOnHumanResourceDevelopmentAndImprovementOfInternalEnvironmentAndTargetsAndResultsUsingSuchMetricsMetricsAndTargetsTextBlock_2" />
    <link:label xlink:type="resource" xlink:label="label_DescriptionOfMetricsRelatedToPolicyOnHumanResourceDevelopmentAndImprovementOfInternalEnvironmentAndTargetsAndResultsUsingSuchMetricsMetricsAndTargetsTextBlock" xml:lang="ja" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_DescriptionOfMetricsRelatedToPolicyOnHumanResourceDevelopmentAndImprovementOfInternalEnvironmentAndTargetsAndResultsUsingSuchMetricsMetricsAndTargetsTextBlock">人材の育成及び社内環境整備に関する方針に関する指標の内容並びに当該指標を用いた目標及び実績、指標及び目標 [テキストブロック]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="DescriptionOfMetricsRelatedToPolicyOnHumanResourceDevelopmentAndImprovementOfInternalEnvironmentAndTargetsAndResultsUsingSuchMetricsMetricsAndTargetsTextBlock" xlink:to="label_DescriptionOfMetricsRelatedToPolicyOnHumanResourceDevelopmentAndImprovementOfInternalEnvironmentAndTargetsAndResultsUsingSuchMetricsMetricsAndTargetsTextBlock" />
    <link:label xlink:type="resource" xlink:label="label_ReferenceToOtherInformationMetricsAndTargetsHumanCapital_2" xml:lang="ja" xlink:role="http://www.xbrl.org/2003/role/label" id="label_ReferenceToOtherInformationMetricsAndTargetsHumanCapital_2">他の記載への参照</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ReferenceToOtherInformationMetricsAndTargetsHumanCapital" xlink:to="label_ReferenceToOtherInformationMetricsAndTargetsHumanCapital_2" />
    <link:label xlink:type="resource" xlink:label="label_ReferenceToOtherInformationMetricsAndTargetsHumanCapital" xml:lang="ja" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_ReferenceToOtherInformationMetricsAndTargetsHumanCapital">他の記載への参照、指標及び目標、人的資本</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ReferenceToOtherInformationMetricsAndTargetsHumanCapital" xlink:to="label_ReferenceToOtherInformationMetricsAndTargetsHumanCapital" />
    <link:label xlink:type="resource" xlink:label="label_KawadaTadahiroMember" xml:lang="ja" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_KawadaTadahiroMember">川田　忠裕[メンバー]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="KawadaTadahiroMember" xlink:to="label_KawadaTadahiroMember" />
    <link:label xlink:type="resource" xlink:label="label_KawadaTadahiroMember_2" xml:lang="ja" xlink:role="http://www.xbrl.org/2003/role/label" id="label_KawadaTadahiroMember_2">川田　忠裕</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="KawadaTadahiroMember" xlink:to="label_KawadaTadahiroMember_2" />
    <link:label xlink:type="resource" xlink:label="label_WatanabeSatoruMember" xml:lang="ja" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_WatanabeSatoruMember">渡邉　敏[メンバー]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="WatanabeSatoruMember" xlink:to="label_WatanabeSatoruMember" />
    <link:label xlink:type="resource" xlink:label="label_WatanabeSatoruMember_2" xml:lang="ja" xlink:role="http://www.xbrl.org/2003/role/label" id="label_WatanabeSatoruMember_2">渡邉　敏</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="WatanabeSatoruMember" xlink:to="label_WatanabeSatoruMember_2" />
    <link:label xlink:type="resource" xlink:label="label_KawadaTakuyaMember" xml:lang="ja" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_KawadaTakuyaMember">川田　琢哉 [メンバー]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="KawadaTakuyaMember" xlink:to="label_KawadaTakuyaMember" />
    <link:label xlink:type="resource" xlink:label="label_KawadaTakuyaMember_2" xml:lang="ja" xlink:role="http://www.xbrl.org/2003/role/label" id="label_KawadaTakuyaMember_2">川田　琢哉</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="KawadaTakuyaMember" xlink:to="label_KawadaTakuyaMember_2" />
    <link:label xlink:type="resource" xlink:label="label_MiyataKensakuMember" xml:lang="ja" xlink:role="http://www.xbrl.org/2003/role/label" id="label_MiyataKensakuMember">宮田　謙作</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="MiyataKensakuMember" xlink:to="label_MiyataKensakuMember" />
    <link:label xlink:type="resource" xlink:label="label_MiyataKensakuMember_2" xml:lang="ja" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_MiyataKensakuMember_2">宮田　謙作 [メンバー]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="MiyataKensakuMember" xlink:to="label_MiyataKensakuMember_2" />
    <link:label xlink:type="resource" xlink:label="label_YamakawaTakahisaMember" xml:lang="ja" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_YamakawaTakahisaMember">山川　隆久[メンバー]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="YamakawaTakahisaMember" xlink:to="label_YamakawaTakahisaMember" />
    <link:label xlink:type="resource" xlink:label="label_YamakawaTakahisaMember_2" xml:lang="ja" xlink:role="http://www.xbrl.org/2003/role/label" id="label_YamakawaTakahisaMember_2">山川　隆久</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="YamakawaTakahisaMember" xlink:to="label_YamakawaTakahisaMember_2" />
    <link:label xlink:type="resource" xlink:label="label_TakakuwaKoichiMember" xml:lang="ja" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_TakakuwaKoichiMember">高桑　幸一[メンバー]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="TakakuwaKoichiMember" xlink:to="label_TakakuwaKoichiMember" />
    <link:label xlink:type="resource" xlink:label="label_TakakuwaKoichiMember_2" xml:lang="ja" xlink:role="http://www.xbrl.org/2003/role/label" id="label_TakakuwaKoichiMember_2">高桑　幸一</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="TakakuwaKoichiMember" xlink:to="label_TakakuwaKoichiMember_2" />
    <link:label xlink:type="resource" xlink:label="label_OkadaToshinariMember" xml:lang="ja" xlink:role="http://www.xbrl.org/2003/role/label" id="label_OkadaToshinariMember">岡田　敏成</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="OkadaToshinariMember" xlink:to="label_OkadaToshinariMember" />
    <link:label xlink:type="resource" xlink:label="label_OkadaToshinariMember_2" xml:lang="ja" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_OkadaToshinariMember_2">岡田　敏成[メンバー]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="OkadaToshinariMember" xlink:to="label_OkadaToshinariMember_2" />
    <link:label xlink:type="resource" xlink:label="label_FukuchiKeikoMember" xml:lang="ja" xlink:role="http://www.xbrl.org/2003/role/label" id="label_FukuchiKeikoMember">福地　啓子</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="FukuchiKeikoMember" xlink:to="label_FukuchiKeikoMember" />
    <link:label xlink:type="resource" xlink:label="label_FukuchiKeikoMember_2" xml:lang="ja" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_FukuchiKeikoMember_2">福地　啓子[メンバー]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="FukuchiKeikoMember" xlink:to="label_FukuchiKeikoMember_2" />
    <link:label xlink:type="resource" xlink:label="label_TakagiShigeoMember" xml:lang="ja" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_TakagiShigeoMember">髙木　繁雄[メンバー]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="TakagiShigeoMember" xlink:to="label_TakagiShigeoMember" />
    <link:label xlink:type="resource" xlink:label="label_TakagiShigeoMember_2" xml:lang="ja" xlink:role="http://www.xbrl.org/2003/role/label" id="label_TakagiShigeoMember_2">髙木　繁雄</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="TakagiShigeoMember" xlink:to="label_TakagiShigeoMember_2" />
  </link:labelLink>
</link:linkbase>